/* $Id: BSFDeclaredBean.java,v 1.1.1.1 2000/06/20 19:18:48 samruby Exp $ */

package com.ibm.bsf;

/**
 * BSFDeclaredBeans are used internally by BSF to encapsulate information being
 * passed between a BSFManager and its various BSFEngines. Note that the
 * constructor is not public because this is not a public class.
 * 
 * @version $Revision: 1.1.1.1 $
 * @author  Matthew J. Duftler
 * @author  Sanjiva Weerawarana
 */
public class BSFDeclaredBean {
  public String name;
  public Object bean;
  public Class  type;

  BSFDeclaredBean (String name, Object bean, Class type) {
    this.name = name;
    this.bean = bean;
    this.type = type;
  }
}