--create the BSFManager
BSF = .BSFManager~new

--create a window
tmpWin = .awtWindow~new(S, 'Hello World!')
tmpWin~event('window', 'windowClosing', 'BSF~exit')

--create a button
tmpBut = .awtButton~new(S, 'Drck mich!')
tmpBut~event('action', '', 'BSF~exit')

--add the button to the window
tmpWin~add(o, tmpBut)
tmpWin~~pack~~show~~toFront

--run the event loop
do forever
  interpret PollBSFEvents()
end

::REQUIRES BSFEngine.rex

--the 2 "java"-classes used in this example
--they might also be created using the BSFManager's import method
::CLASS awtWindow SUBCLASS BSFClass
::METHOD init
  self~init:super('java.awt.Frame', ARG(1, 'A'))

::CLASS awtButton SUBCLASS BSFClass
::METHOD init
  self~init:super('java.awt.Button', ARG(1, 'A'))