/* $Id: EventAdapterImpl.java,v 1.1.1.1 2000/06/20 19:19:17 samruby Exp $ */

package com.ibm.cs.event;

/**
 * <em>EventAdapterImpl</em> is a default implementation of the EventAdapter
 * interface that specific event adapters may choose to subclass from
 * instead of implementing the interface themselves. Saves 5 lines of code
 * mebbe.
 * 
 * @version  $Revision: 1.1.1.1 $
 * @author   Sanjiva Weerawarana
 * @author   Matthew J. Duftler
 * @see      EventAdapter
 */
public class EventAdapterImpl implements EventAdapter {
  protected EventProcessor eventProcessor;

  public void setEventProcessor (EventProcessor eventProcessor) {
    this.eventProcessor = eventProcessor;
  }
}

