/* $Id: TypeConvertor.java,v 1.1.1.1 2000/06/20 19:19:19 samruby Exp $ */

package com.ibm.cs.type;

/**
 * A <em>TypeConvertor</em> is used to convert an object of one type to
 * one of another type. The convertor is invoked with the class of the
 * from object, the desired class, and the from object itself. The
 * convertor must return a new object of the desired class.
 * 
 * @version  $Revision: 1.1.1.1 $
 * @author   Sanjiva Weerawarana
 * @see      TypeConvertorRegistry
 */
public interface TypeConvertor {
  public Object convert (Class from, Class to, Object obj);
  public String getCodeGenString ();
}

