/* $Id: IOUtils.java,v 1.1.1.1 2000/06/20 19:19:21 samruby Exp $ */

package com.ibm.cs.util;

import java.io.*;

/**
 * This file is a collection of input/output utilities.
 * 
 * @version  $Revision: 1.1.1.1 $
 * @author   Sanjiva Weerawarana
 * @author   Matthew J. Duftler
 */
public class IOUtils {
  // debug flag - generates debug stuff if true
  static boolean debug = false;

  //////////////////////////////////////////////////////////////////////////

  public static String getStringFromReader (Reader reader) throws IOException {
    BufferedReader bufIn = new BufferedReader(reader);
    StringWriter   swOut = new StringWriter();
    PrintWriter    pwOut = new PrintWriter(swOut);
    String         tempLine;

    while ((tempLine = bufIn.readLine()) != null) {
      pwOut.println(tempLine);
    }

    pwOut.flush();

    return swOut.toString();
  }
}

